%define rel 9
%define oname QTweetLib

Name:           qtweetlib
Summary:        C++ Qt based Twitter library
License:        LGPLv2
Version:        0.5
Release:        %mkrel %rel
Source0:	https://github.com/downloads/minimoog/QTweetLib/QTweetLib-%{version}.tar.gz
Url:           https://github.com/minimoog/QTweetLib
Group:         System/Libraries
BuildRequires:  cmake
BuildRequires:  pkgconfig(QtCore) < 5.0.0
BuildRequires:  pkgconfig(QtGui) < 5.0.0
BuildRequires:  pkgconfig(QtNetwork) < 5.0.0
BuildRequires:  pkgconfig(QJson)


%description
C++ Qt based Twitter library.

#------------------------------------------------------------------------------

%define major 1
%define libname  %mklibname qtweetlib %{major}

%package -n     %{libname}
Summary:        C++ Qt based Twitter library
Group:		System/Libraries

%description -n %{libname}
C++ Qt based Twitter library.

This package provides the runtime library.

%files -n %{libname}
%{_libdir}/libQTweetLib.so.%{major}{,.*}

#------------------------------------------------------------------------------

%define develname  %mklibname qtweetlib -d

%package -n     %{develname}
Group:          Development/C
Summary:        C++ Qt based Twitter library
Requires:       %{libname} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}
Provides:       lib%{name}-devel = %{version}-%{release}

%description -n %{develname}
C++ Qt based Twitter library (devel package).
This package provides the header needs to build package against %name.

%files -n %{develname}
%{_libdir}/libQTweetLib.so
%{_includedir}/%{oname}/

#------------------------------------------------------------------------------

%prep
%setup -q -n %{oname}-%{version}

%build
%cmake
%cmake_build

%install
%cmake_install



%changelog
* Fri Feb 14 2020 daviddavid <daviddavid> 0.5-9.mga8
+ Revision: 1516853
- use new cmake macros
+ umeabot <umeabot>
- Mageia 8 Mass Rebuild

* Sun Sep 23 2018 umeabot <umeabot> 0.5-8.mga7
+ Revision: 1300742
- Mageia 7 Mass Rebuild
+ kekepower <kekepower>
- Use new make macros

* Mon Feb 08 2016 umeabot <umeabot> 0.5-7.mga6
+ Revision: 944498
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.5-6.mga5
+ Revision: 745002
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.5-5.mga5
+ Revision: 688569
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.5-4.mga4
+ Revision: 517907
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.5-3.mga3
+ Revision: 380069
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Aug 07 2012 neoclust <neoclust> 0.5-2.mga3
+ Revision: 279770
- Make sure to not build against Qt5

* Thu Aug 02 2012 fwang <fwang> 0.5-1.mga3
+ Revision: 277849
- bump libmajor
- new version 0.5

* Thu Mar 01 2012 juancho <juancho> 0.4-1.mga2
+ Revision: 216345
- Updated to 0.4

* Fri Nov 25 2011 mikala <mikala> 0.3.0-1.mga2
+ Revision: 171944
- imported package qtweetlib

